%define fontname roadstencil
%define fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.0
Release:        8%{?dist}
Summary:        Roadstencil Fonts

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/andyfitz/237
Source0:        http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf
Source1:        %{fontname}-fontconfig.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A rough font influenced by roadwork stencils

%prep

%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}/roadstencil.otf

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc

%dir %{_fontdir}


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 8 2009 Jon Stanley <jonstanley@gmail.com> - 1.0-7
- Update for new guidelines

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-5
- Fix the fontconfig file

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-4
- fix build failure from previous

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-3
- Add fontconfig file (#445136)

* Sun May 04 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-2
- Correct source

* Sun May 04 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-1
- Initial package

